
/******************************************************************************************/

class PostEventPatch : public GenericPatch {
public:
	PostEventPatch(void);
	void Behavior(void);
};

/******************************************************************************************/

class ButtonPatch : public GenericPatch {
public:
	ButtonPatch(void);
	void Behavior(void);
};

typedef struct {
	short	itsResult;
} ButtonPatchParms;

/******************************************************************************************/

#if 1
class PopupMenuSelectPatch : public GenericPatch {
public:
	PopupMenuSelectPatch(void);
	virtual void Behavior(void);
};

typedef struct {
	short			itsItem;
	short			itsLeft;
	short			itsTop;
	MenuHandle		itsMenuHandle;
	unsigned long	itsResult;
} PopupMenuSelectParameters;

typedef struct PopupMenuSelectParameters ;
typedef pascal long (*PopupMenuSelectProcPtr) (MenuHandle theMenu, short top, short left, short item);

#endif

/******************************************************************************************/

class MenuSelectPatch : public GenericPatch {
public:
	MenuSelectPatch();
	virtual void Behavior(void);
};

struct MenuSelectParameters {
	Point itsStartPt;
	long itsResult;
};

typedef struct MenuSelectParameters MenuSelectParameters;

typedef pascal long (*MenuSelectProcPtr) (Point pt);
